HtmlQueue (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.ajax4jsf.component.html.HtmlQueue class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component.html
Class HtmlQueue

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.ajax4jsf.component.UIQueue
                  org.ajax4jsf.component.html.HtmlQueue

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class HtmlQueue

extends UIQueue

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.ajax4jsf.component.UIQueue
`GLOBAL_QUEUE_NAME`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`HtmlQueue()`

Method Summary
`java.lang.String` | `getFamily()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOnbeforedomupdate()`
`java.lang.String` | `getOncomplete()`
`java.lang.String` | `getOnerror()`
`java.lang.String` | `getOnrequestdequeue()`
`java.lang.String` | `getOnrequestqueue()`
`java.lang.String` | `getOnsizeexceeded()`
`java.lang.String` | `getOnsubmit()`
`int` | `getRequestDelay()`
`int` | `getSize()`
`java.lang.String` | `getSizeExceededBehavior()`
`java.lang.String` | `getStatus()`
`int` | `getTimeout()`
`boolean` | `isDisabled()`
`boolean` | `isIgnoreDupResponses()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setDisabled(boolean _disabled)`
`void` | `setIgnoreDupResponses(boolean _ignoreDupResponses)`
`void` | `setName(java.lang.String _name)`
`void` | `setOnbeforedomupdate(java.lang.String _onbeforedomupdate)`
`void` | `setOncomplete(java.lang.String _oncomplete)`
`void` | `setOnerror(java.lang.String _onerror)`
`void` | `setOnrequestdequeue(java.lang.String _onrequestdequeue)`
`void` | `setOnrequestqueue(java.lang.String _onrequestqueue)`
`void` | `setOnsizeexceeded(java.lang.String _onsizeexceeded)`
`void` | `setOnsubmit(java.lang.String _onsubmit)`
`void` | `setRequestDelay(int _requestDelay)`
`void` | `setSize(int _size)`
`void` | `setSizeExceededBehavior(java.lang.String _sizeExceededBehavior)`
`void` | `setStatus(java.lang.String _status)`
`void` | `setTimeout(int _timeout)`

Methods inherited from class org.ajax4jsf.component.UIQueue
`getClientName`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlQueue

    public HtmlQueue()

Method Detail

### isDisabled

    public boolean isDisabled()

  Specified by:
    `isDisabled` in class `UIQueue`

### setDisabled

    public void setDisabled(boolean _disabled)

  Specified by:
    `setDisabled` in class `UIQueue`

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

  Specified by:
    `isIgnoreDupResponses` in class `UIQueue`

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean _ignoreDupResponses)

  Specified by:
    `setIgnoreDupResponses` in class `UIQueue`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `UIQueue`

### setName

    public void setName(java.lang.String _name)

  Specified by:
    `setName` in class `UIQueue`

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

  Specified by:
    `getOnbeforedomupdate` in class `UIQueue`

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String _onbeforedomupdate)

  Specified by:
    `setOnbeforedomupdate` in class `UIQueue`

### getOncomplete

    public java.lang.String getOncomplete()

  Specified by:
    `getOncomplete` in class `UIQueue`

### setOncomplete

    public void setOncomplete(java.lang.String _oncomplete)

  Specified by:
    `setOncomplete` in class `UIQueue`

### getOnerror

    public java.lang.String getOnerror()

  Specified by:
    `getOnerror` in class `UIQueue`

### setOnerror

    public void setOnerror(java.lang.String _onerror)

  Specified by:
    `setOnerror` in class `UIQueue`

### getOnrequestdequeue

    public java.lang.String getOnrequestdequeue()

  Specified by:
    `getOnrequestdequeue` in class `UIQueue`

### setOnrequestdequeue

    public void setOnrequestdequeue(java.lang.String _onrequestdequeue)

  Specified by:
    `setOnrequestdequeue` in class `UIQueue`

### getOnrequestqueue

    public java.lang.String getOnrequestqueue()

  Specified by:
    `getOnrequestqueue` in class `UIQueue`

### setOnrequestqueue

    public void setOnrequestqueue(java.lang.String _onrequestqueue)

  Specified by:
    `setOnrequestqueue` in class `UIQueue`

### getOnsizeexceeded

    public java.lang.String getOnsizeexceeded()

  Specified by:
    `getOnsizeexceeded` in class `UIQueue`

### setOnsizeexceeded

    public void setOnsizeexceeded(java.lang.String _onsizeexceeded)

  Specified by:
    `setOnsizeexceeded` in class `UIQueue`

### getOnsubmit

    public java.lang.String getOnsubmit()

  Specified by:
    `getOnsubmit` in class `UIQueue`

### setOnsubmit

    public void setOnsubmit(java.lang.String _onsubmit)

  Specified by:
    `setOnsubmit` in class `UIQueue`

### getRequestDelay

    public int getRequestDelay()

  Specified by:
    `getRequestDelay` in class `UIQueue`

### setRequestDelay

    public void setRequestDelay(int _requestDelay)

  Specified by:
    `setRequestDelay` in class `UIQueue`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `UIQueue`

### setSize

    public void setSize(int _size)

  Specified by:
    `setSize` in class `UIQueue`

### getSizeExceededBehavior

    public java.lang.String getSizeExceededBehavior()

  Specified by:
    `getSizeExceededBehavior` in class `UIQueue`

### setSizeExceededBehavior

    public void setSizeExceededBehavior(java.lang.String _sizeExceededBehavior)

  Specified by:
    `setSizeExceededBehavior` in class `UIQueue`

### getStatus

    public java.lang.String getStatus()

  Specified by:
    `getStatus` in class `UIQueue`

### setStatus

    public void setStatus(java.lang.String _status)

  Specified by:
    `setStatus` in class `UIQueue`

### getTimeout

    public int getTimeout()

  Specified by:
    `getTimeout` in class `UIQueue`

### setTimeout

    public void setTimeout(int _timeout)

  Specified by:
    `setTimeout` in class `UIQueue`

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `UIQueue`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.